#include<iostream>
using namespace std;
struct koordinata{
    int x,y;
};
struct vanja{
    int duz2,rx,ry;
};
bool jednakiko(vanja a,vanja b)
{
    if(a.rx<0){
        a.rx=-a.rx;
        a.ry=-a.ry;
    }
    if(b.rx<0){
        b.rx=-b.rx;
        b.ry=-b.ry;
    }
    long long m,n;
    m=a.ry*b.rx;
    n=b.ry*a.rx;
    if(m==n) return true;
    return false;
}
int main()
{
    int n,m,l=0,br=0,ray,rax;
    cin>>n;
    m=n*(n+1)/2;
    vanja *a;
    a=new vanja[m];
    koordinata *b;
    b=new koordinata[n];
    for(int i=0;i<n;i++) cin>>b[i].x>>b[i].y;
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            ray=b[i].y-b[j].y;
            rax=b[i].x-b[j].x;
            a[l].ry=ray;
            a[l].rx=rax;
            a[l++].duz2=ray*ray+rax*rax;
        }
    }
    for(int i=0;i<m-1;i++)
    {
        for(int j=i+1;j<m;j++)
        {
            if(jednakiko(a[i],a[j])&&(a[i].duz2==4*a[j].duz2 or a[j].duz2==4*a[i].duz2)) br++;
        }
    }
    cout<<br;
    return 0;
}